Workflow Get All

Workflow Get All
Get a list of workflows

Get a list of workflows

Request
URI
GET
https://{vcfa-fqdn}/vro/workflows
COPY
Query Parameters
page
Required

page

boolean
expand
Optional
Constraints: default: false

expand


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with list of workflows

Returns PageWorkflow of type(s) */*
{
    "totalPages": 0,
    "totalElements": 0,
    "size": 0,
    "content": [
        {
            "id": "string",
            "name": "string",
            "ownerId": "string",
            "orgId": "string",
            "createdOn": 0,
            "modifiedOn": 0,
            "description": "string",
            "version": "string",
            "href": "string",
            "integration": {
                "endpointConfigurationLink": "string",
                "name": "string",
                "endpointUri": "string"
            },
            "workflowId": "string",
            "inputs": [
                {
                    "value": {
                        "elements": [
                            {
                                "objectType": "string",
                                "elements": [
                                    {}
                                ]
                            }
                        ]
                    },
                    "name": "string",
                    "type": "string",
                    "description": "string",
                    "scope": "string"
                }
            ],
            "outputs": [
                {
                    "value": {
                        "elements": [
                            {}
                        ]
                    },
                    "name": "string",
                    "type": "string",
                    "description": "string",
                    "scope": "string"
                }
            ],
            "selfLink": "string"
        }
    ],
    "number": 0,
    "sort": [
        {
            "direction": "string",
            "nullHandling": "string",
            "ascending": false,
            "property": "string",
            "ignoreCase": false
        }
    ],
    "numberOfElements": 0,
    "pageable": {
        "offset": 0,
        "sort": [
            {
                "direction": "string",
                "nullHandling": "string",
                "ascending": false,
                "property": "string",
                "ignoreCase": false
            }
        ],
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "unpaged": false
    },
    "first": false,
    "last": false,
    "empty": false
}

202

Accepted

{
    "message": "string",
    "messageId": "string",
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0,
    "details": [
        "string"
    ],
    "serverErrorId": "string",
    "documentKind": "string",
    "certificateInfo": {
        "certificate": "string",
        "properties": {
            "properties": "string"
        },
        "documentKind": "string"
    },
    "internalErrorCode": 0
}

400

Bad Request

Returns ServiceErrorResponse of type(s) */*
{
    "message": "string",
    "messageId": 0,
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0
}

403

Forbidden

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

404

Not Found

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

409

Conflict

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


417

Expectation Failed

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vro/workflows?page=v